/*
 * Add-in header
 *  
 * Copyright INOUE Seiichiro <inoue@ainet.or.jp>, licensed under the GPL.
 */
#ifndef __XYAKU_ADDIN_H__
#define __XYAKU_ADDIN_H__

/* Data structure */
typedef struct {
	char *cmd_path;
	int argc;
	char **argv;
} CmdInfo;

typedef struct {
	int max_nlines;
	int max_bufsiz;
	int max_width;
	int f_use_cache;
	int f_automode;
	unsigned long interval;
} EtcInfo; /* bad naming... */

/* Global functions */
/* addin.c */
extern void new_config_path(const char *confpath);
extern void delete_config_path(void);
extern void init_addin_info(int parse_msg_flag);
extern void finalize_addin_info(void);
extern void refresh_addin_info(void);
extern int find_addin_cmd(CmdInfo* cmd, KeySym ksym, uint modkey, EtcInfo *etc);

#endif /* __XYAKU_ADDIN_H__ */
